#
# spec file for package fs-check (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 mailx make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fs-check
BuildRequires:  mailx
URL:            http://fs-check.sourceforge.net
License:        GPL
Group:          System/Monitoring
Autoreqprov:    on
Requires:       mailx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        0.6
Release:        15.2
Summary:        Check File System Usage
BuildArchitectures: noarch
Source:         fs-check-%{version}.tar.bz2
Source1:        fs-check.cf
Patch:          fs-check-%{version}.dif

%description
fs-check checks file system sizes to see if they are getting too full.
It uses a configuration file that specifies the file systems to check,
e-mail contacts, trigger thresholds (percentage or amount used and
unused), and a report program to run. It includes fs-report, which
shows things like the largest files, the newest files, and core files.
It can be run from cron or as a daemon.



%debug_package
%prep
%setup -q
%patch

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make
make check
mkdir -p $RPM_BUILD_ROOT/etc
cp %SOURCE1 $RPM_BUILD_ROOT/etc

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS sample/crontab.add
%config(noreplace) /etc/fs-check.cf
%{_mandir}/man8/fs-check.8.gz
%{_mandir}/man8/fs-report.8.gz
%{_bindir}/fs-check
%{_bindir}/fs-report

%changelog -n fs-check
* Sat Feb 25 2006 - kukuk@suse.de
- Workaround configure checks for autobuild
- Don't start in "norun" mode per default
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 07 2005 - kukuk@suse.de
- Update to version 0.6
* Thu Jul 21 2005 - kukuk@suse.de
- Update to version 0.5
* Tue Nov 02 2004 - kukuk@suse.de
- Update to version 0.4
* Mon Jun 28 2004 - kukuk@suse.de
- Initial version
